@muneebs
If you want to build UI component app extensions, then you want to use the UI kit, and not the app-extension kit.
quasar create <myComponent> --kit ui
You can read more here: https://quasar.dev/app-extensions/development-guide/introduction
You can also ask questions in the Discord #app-extensions channel.